Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Raw

Raw Class
Contained in: global
Derived from: none
Derived by: CL_InputSource_Raw
Group: Core (Resources)

#include <ClanLib/core.h>

### public function member index:

### Construction:

`` | `CL_Raw` | `(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`)`;
`` | `~CL_Raw` | `()`;
``std::vector`<`unsigned` `char`>&` | `get_data` | `()`;
``const` `std::vector`<`unsigned` `char`>&` | `get_data` | `() `const``;

## Description:

## Function Member Descriptions:

CL_Raw::CL_Raw - Raw Class Constructor
`` `CL_Raw` `(`const` `std::string`& `res_id`, `CL_ResourceManager`* `resources`)`;

CL_Raw::get_data - Get Data
``std::vector`<`unsigned` `char`>&` `get_data` `()`;

CL_Raw::get_data - Get Data
``const` `std::vector`<`unsigned` `char`>&` `get_data` `() `const``;

CL_Raw::~CL_Raw - Raw Class Destructor
`` `~CL_Raw` `()`;

## Variable Member Descriptions: